Package org.apache.sling.feature.scanner.spi

# Interface FrameworkScanner

@ConsumerType public interface FrameworkScanner
The framework scanner scans the framework

## Method Summary

Modifier and Type
Method
Description
`BundleDescriptor`
`scan(org.apache.sling.feature.ArtifactId framework, Map<String,String> frameworkProps, org.apache.sling.feature.builder.ArtifactProvider provider)`
Try to scan the artifact

## Method Details

### scan

BundleDescriptor scan(org.apache.sling.feature.ArtifactId framework, Map<String,String> frameworkProps, org.apache.sling.feature.builder.ArtifactProvider provider) throws IOException
Try to scan the artifact

Parameters:
  `framework` - The framework artifact id
  `frameworkProps` - framework properties to launch the framework
  `provider` - Artifact provider
Returns:
  A descriptor or `null`
Throws:
  `IOException` - If an error occurs while scanning the platform or the artifact is invalid